//---------------------------------------------------------------------------

#include <iostream.h>
#include <iomanip.h>
#pragma hdrstop

#include "gula.h"

//---------------------------------------------------------------------------
const double PI = 3.14159;
#pragma package(smart_init)
Gula::Gula(double r) : Kruznica(r)
{
}
//---------------------------------------------------------------------------
Gula::~Gula()
{
}
//---------------------------------------------------------------------------
double Gula::obsah()
{       //  S = 4 * PI * r^2
        return 4*PI*Polomer*Polomer;
}
//---------------------------------------------------------------------------
double Gula::objem()
{       // V = 4/3 * PI * r^3
        return 4 * PI * Polomer * Polomer * Polomer / 3;
}
//---------------------------------------------------------------------------
void Gula::info()
{
        cout << "Gula: ";
        // formatovania vystupu na 2 desatine cisla
        cout << setiosflags(ios::fixed) << setprecision(2);
        cout << "\nPolomer: " << GetPolomer();
        cout << "\nObsah: " << obsah();
        cout << "\nObjem: " << objem();
        cout << "\n\n";
}
