//---------------------------------------------------------------------------

#pragma hdrstop
#include <iostream.h>
#include <iomanip.h>
#include "valec.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
const double PI = 3.14159;
#pragma package(smart_init)
Valec::Valec(double r,double v) : Kruznica(r),Vyska(v)
{
}
//---------------------------------------------------------------------------
Valec::~Valec()
{
}
//---------------------------------------------------------------------------
double Valec::obsahPlasta()
{
        return 2*PI*Polomer*Vyska;
}
//---------------------------------------------------------------------------
double Valec::obsahPodstavy()
{
        return Kruznica::obsah();
}
//---------------------------------------------------------------------------
double Valec::obsah()
{
        return 2*obsahPodstavy()+ obsahPlasta();
}
//---------------------------------------------------------------------------
double Valec::objem()
{
        return obsahPodstavy()*Vyska;
}
//---------------------------------------------------------------------------
void Valec::info()
{
        cout << "Valec: ";
        // formatovania vystupu na 2 desatine cisla
        cout << setiosflags(ios::fixed) << setprecision(2);
        cout << "\nPolomer: " << GetPolomer();
        cout << "\nVyska:   " << getVyska();
        cout << "\nObsah: " << obsah();
        cout << "\nObjem: " << objem();
        cout << "\n\n";
}
//---------------------------------------------------------------------------
double Valec::getVyska()
{
        return Vyska;
}
//---------------------------------------------------------------------------
void Valec::setVyska(double h)
{
        Vyska = h;
}
