// Jednorozmern dynamicky alokovan pole

template< typename T >
class CDynArray
{
protected:
        T* 	m_pArray;
        int	m_iSize;

public:
        CDynArray (int iSize );
        virtual ~CDynArray();
        void 	SetAt( int iIndex, T value );
        T 	GetAt( int iIndex );
};

// Defincia kontruktora  a detruktora

template< typename T > CDynArray<T>::CDynArray( int iSize )
{
        m_iSize = iSize;
        m_pArray = new T[iSize];
}

template< typename T > CDynArray<T>::~CDynArray()
{
        delete [] m_pArray;
}

// Defincia metdy GetAt
template< typename T > T CDynArray<T>::GetAt( int iIndex )
{
        //if (iIndex < 0 || iIndex >= m_iSize)
        //throw 0;		// Vyvolanie vnimky...
        T pom = m_pArray[iIndex];
        return pom;
}
// Defincia metdy SetAt
template< typename T > void CDynArray<T>::SetAt( int iIndex, T value )
{
        //if (iIndex < 0 || iIndex >= m_iSize)
        //throw 0;// Vyvolanie vnimky...

        m_pArray[iIndex] = value;
}

 