//---------------------------------------------------------------------------
#include "SimpleArray.h"
#include "IntDynArray.h"
#include <iostream.h>
#include <stdio.h>
#pragma hdrstop

typedef CDynArray<double> CDoubleDynArray;
//---------------------------------------------------------------------------

#pragma argsused
int main(int argc, char* argv[])
{       // Jednorozmern veobecn pole.
        CSimpleArray <int, 10>          array1;
        CSimpleArray <double, 10>       array2;
        CSimpleArray <double, 20>       array3;

        array1.SetAt(8, 5);
        array2.SetAt(9, 10.5);
        array3.SetAt(15, 13.8);

        cout << " Jednoduche pole :\n";
        for(int i=0; i < 10; i++)
                cout << array1.GetAt(i)<< "\t";

        // Jednorozmern dynamicky alokovan pole
        CDynArray <char> dyn1(50);
        CDynArray <char> dyn2(60);
        for(int i=0; i < 50; i++)
               dyn1.SetAt(i, 'a'+i);
        dyn2.SetAt(11, 'a');

        cout << "\nJednorozmerne Dynamicke Pole: \n";
        for(int i=0; i < 50; i++)
                cout << dyn1.GetAt(i);
       // Potomok ablny
        CIntDynArray pole2(50);
        for(int i=0; i < 50; i++)
                pole2.SetAt(i, i*2);
        cout << "\nDynamicke Pole celych cisel: \n";
        for(int i=0; i < 50; i++)
                cout << pole2.GetAt(i)<< "\t";

        CDoubleDynArray pole(50);
        for(int i=1; i <= 50; i++)
                pole.SetAt(i-1, 1.0/i);
        cout << "\nDynamicke Pole desatinnych cisel: \n";
        for(int i=0; i < 40; i++)
                cout << pole.GetAt(i)<< "\t";
        getchar();
        return 0;
}
//---------------------------------------------------------------------------
