//---------------------------------------------------------------------------

#pragma hdrstop
#include<stdlib.h>
#include "student.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)


Student::Student()
        : Osoba("John", "Doe",25),
        denNarodenia(1),
        mesiacNarodenia(1),
        rokNarodenia(1990),
        pohlavie(0)
{
}
//---------------------------------------------------------------------------
 Student::Student(string meno, string priezvisko, int vek, int DOB, int MOB, int YOB, int g)
        : Osoba(meno, priezvisko, vek),
        denNarodenia(DOB),
        mesiacNarodenia(MOB),
        rokNarodenia(YOB),
        pohlavie(g)
{
}
//---------------------------------------------------------------------------
 Student::Student(string meno, string priezvisko, int vek)
        : Osoba(meno, priezvisko, vek),
        denNarodenia(1),
        mesiacNarodenia(1),
        rokNarodenia(1990)
{
}
//---------------------------------------------------------------------------
 Student::Student(int DOB, int MOB, int YOB)
        : Osoba(),
        denNarodenia(DOB),
        mesiacNarodenia(MOB),
        rokNarodenia(YOB)
{
}
//---------------------------------------------------------------------------
 Student::Student(Student& ziak)
        : Osoba(ziak.getMeno(), ziak.getPriezvisko(),ziak.getVek()),
        denNarodenia(ziak.denNarodenia),
        mesiacNarodenia(ziak.mesiacNarodenia),
        rokNarodenia(ziak.rokNarodenia),
        pohlavie(ziak.pohlavie)
{
}
//---------------------------------------------------------------------------
string  Student::getPohlavie()
{
        if( pohlavie == 1 )
                return "Muz";
        else if( pohlavie == 2 )
                return "Zena";
        else
                return "Nedefinovane";
}
//---------------------------------------------------------------------------
 Student::~Student()
{
}
//---------------------------------------------------------------------------
void    Student::studentInfo()
{
        info();
        cout<< "Datum narodenia: "
        << getDatumNarodenia()
        <<"\tPohlavie: "<<getPohlavie()<< "\n";
}
//---------------------------------------------------------------------------
string  Student::getDatumNarodenia()
{
        char den[3],mesiac[3],rok[5];

        // konverzia int -> char*
        itoa(denNarodenia, den,10);
        itoa(mesiacNarodenia, mesiac,10);
        itoa(rokNarodenia, rok,10);

        // zreazenie jednotlivch dajov, oddelen bodkov
        string datum = string(den)+"."+string(mesiac)+"."+string(rok);
        return datum;
}

